require "bbc/cosmos/config/version"
require "bbc/cosmos/config/cosmos"
require "bbc/cosmos/config/aws"

require "aws-sdk"
require "hashie"

module BBC
  module Cosmos

    def self.production?
      ENV["APP_ENV"] == "production"
    end

    module Config
      def self.aws
        @@aws_config ||= AWS.new(::AWS::EC2.new, ::AWS::S3.new)
      end

      def self.cosmos
        @@cosmos_config ||= Cosmos.new(aws)
      end

      def self.app
        @@app_config ||= Hashie::Mash.new(cosmos.component_config)
      end
    end
  end
end
